# uddi2__sharedRelationships Class Reference

Schema urn:uddi-org:api_v2:"sharedRelationships". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes

std::vector< uddi2__keyedReference * > | keyedReference
| Vector of uddi2__keyedReference* with length 0..unbounded.
enum uddi2__direction | direction
| Attribute direction of type "urn:uddi-org:api_v2":direction.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"sharedRelationships".

## Member Data Documentation

enum uddi2__direction uddi2__sharedRelationships::direction

| Attribute direction of type "urn:uddi-org:api_v2":direction. Required attribute

std::vector<uddi2__keyedReference* > uddi2__sharedRelationships::keyedReference

| Vector of uddi2__keyedReference* with length 0..unbounded.

struct soap* uddi2__sharedRelationships::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h